Subject: Re: Gianfar : Q : Tx VLAN hardware accelaration

From: Claudiu Manoil <[email-masked]>
Date: Mon, 4 Feb 2013 12:04:07 +0200

On 2/1/2013 11:45 AM, voncken wrote:
> 	Hi Claudiu,
>
> I would like to send on the same Ethernet interface (so the same eTSEC) a
> frame with VLAN tag and without VLAN tag.
>
> If I understand correctly mpc8315 Family reference manual rev 2, when TX
> VLAN hardware acceleration is enable, the eTSEC always add the VLAN TAG
> -from FCB or from the default TAG register).
>
> Could you confirm is not possible to send frame without tag when Tx VLAN
> hardware acceleration is enable?
>
> Thanks
>

Hi Cedric,
If I remember correctly, if the hw vlan tag insertion feature is
activated then vlan tag 0 is inserted for non-vlan frames. VLAN-aware
hosts can deal with this, however this may pose problems for the
vlan-unaware ones (e.g. 802.1Q support not activated). I think this
is the main reason why the tx vlan accel is turned off by default.

regards,
Claudiu